#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: incremental-parser
version: 0.2.5.3
id: incremental-parser-0.2.5.3-FEMKGDqD08JJOvWn68KtFJ
key: incremental-parser-0.2.5.3-FEMKGDqD08JJOvWn68KtFJ
license: GPL
copyright: (c) 2011-2017 Mario Blazevic
maintainer: blamario@yahoo.com
homepage: https://github.com/blamario/incremental-parser
synopsis: Generic parser library capable of providing partial results from partial input.
description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.
category: Parsing
author: Mario Blazevic
exposed: True
indefinite: False
exposed-modules:
    Control.Applicative.Monoid Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric
abi: a634d4e714d66a3c0d96e51b9258a695
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/incremental-parser-0.2.5.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/incremental-parser-0.2.5.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/incremental-parser-0.2.5.3
hs-libraries: HSincremental-parser-0.2.5.3-FEMKGDqD08JJOvWn68KtFJ
depends:
    base-4.10.1.0 monoid-subclasses-0.4.6-2nzIANjEufIH8g6LIzoefF
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             monoid-subclasses-0.4.6-2nzIANjEufIH8g6LIzoefF=8c8e3ccd8b06e38d87075e5ab8e2f615
haddock-interfaces: /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock
haddock-html: /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

